// Project Lab - NHTV Igad

#pragma once

#include "ProjectileBase.h"
#include "HomingProjectile.generated.h"

/**
 * 
 */
UCLASS()
class UNREALPROJECT_API AHomingProjectile : public AProjectileBase
{
	GENERATED_BODY()

public:
	virtual void BeginPlay() override;
	virtual	void NativeMove(float DeltaTime) override;

	UPROPERTY(BlueprintReadWrite, category = "projectile", meta = (ExposeOnSpawn))
	class ANetworkCharacter* targetCreature;
};
